Skip to main content

Customer Migrations Guide: Post Business Import

After a business has successfully been created you might need to import additional data. In this section we’ll walk you through the various endpoints you can use to add information to an imported business in Kraken.

Get business contract import sub-process status

Overview

Return status for a contract sub-process owned by the business in the URL.

GET https://api.uktegp-kraken.systems/v2/data-import/businesses/<import-supplier-code>/<external-business-identifier>/business-contracts/123e4567-e89b-12d3-a456-426614174000/

Responses

The following responses may be returned from the API.

Status codeDescription
404 - Not Found

The requested resource was not found.

Resource not found:
{ "detail": "The requested resource was not found.", "code": "not_found" }
400 - Bad Request

Validation error.

Invalid parameters:
{ "code": "validation_failed", "detail": "The request has invalid parameters.", "validation_errors": [ { "detail": "Unknown field found: task_id.", "code": "unknown_field", "attr": "task_id" } ] }
200 - OK

The response body.

401 - Unauthorized

Authentication credentials were not provided or are invalid.

Importing payment instructions for business

Overview

Use this endpoint to create a payment instruction for a business.

Schema

Loading...
POST https://api.uktegp-kraken.systems/v1/data-import/business-payment-instruction/create/

Responses

The following responses may be returned from the API.

Status codeDescription
201 - Created

If the payload is valid, a 201 Created response will be returned containing the Kraken account number and the reference. For example:

{ "reference": "abc-defg", "external_business_identifier": "external-123343243" }
400 - Bad Request

If there are validation errors, a 400 Bad Request response will be returned, detailing the errors. To resolve the error, refer to the field definitions and validation rules.

This error can be returned if we have persistent issues communicating with the upstream payment vendor (we call their API to verify the instruction exists, and retrieve the details to store in Kraken). In this case, the request should not be retried in its current form.

401 - Unauthorized

If there are authorization errors, a 401 Unauthorized response will be returned. To resolve the error, ensure that authorization token is provided and valid.

500 - Internal Server Error

If an unexpected error occurs, a 500 Internal Server Error response will be returned.

This error can be returned if we have intermittent issues communicating with the upstream payment vendor (we call their API to verify the instruction exists, and retrieve the details to store in Kraken). In this case, the request should be retried as-is.

Payloads

Example payload
{ "import_supplier_code": "TENTACLE_UTILITIES", "external_business_identifier": "EXTERNAL-1234", "vendor": "STRIPE", "reference": "THIS-IS-A-FAKE-REFERENCE", "type": "CARD", "accounts": [ { "external_account_number": "EXTERNAL-ACCOUNT-123" }, { "external_account_number": "EXTERNAL-ACCOUNT-1234" } ] }

Schedule business contract creation for an imported business

Overview

Accept a contract batch and return its asynchronous sub-process identifier.

Schema

Loading...
POST https://api.uktegp-kraken.systems/v2/data-import/businesses/<import-supplier-code>/<external-business-identifier>/business-contracts/

Responses

The following responses may be returned from the API.

Status codeDescription
201 - Created

The business contract batch has been scheduled.

Business contract creation scheduled response:
{ "identifier": "123e4567-e89b-12d3-a456-426614174000" }
400 - Bad Request

Validation errors occurred while processing the request.

401 - Unauthorized

Authentication credentials were not provided or are invalid.

Payloads

Business contract batch
{ "payload": { "import_supplier": "TENTACLE_ENERGY", "external_business_identifier": "EXTERNAL-1234", "business_contracts": [ { "identifier": "BUSINESS-CONTRACT-123", "valid_from_date": "2026-01-01", "signed_at_date": "2025-12-01", "versions": [ { "applicable_at_date": "2026-01-01", "terms": [] } ] } ] }, "task_params": { "is_dry_run": false } }